PLplot: QtPLDriver Class Reference

PLplot 5.15.0

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
QtPLDriver Class Reference

`#include "qt.h"`

## Public Member Functions
| QtPLDriver (PLINT i_iWidth=QT_DEFAULT_X, PLINT i_iHeight=QT_DEFAULT_Y)
virtual | ~QtPLDriver ()
void | setPLStream (PLStream *pls)
virtual void | drawArc (short x, short y, short width, short height, PLFLT angle1, PLFLT angle2, PLFLT rotate, bool fill)
virtual void | drawLine (short x1, short y1, short x2, short y2)
virtual void | drawPolyline (short *x, short *y, PLINT npts)
virtual void | drawPolygon (short *x, short *y, PLINT npts)
virtual void | drawText (EscText *txt)
virtual void | setColor (int r, int g, int b, double alpha)
virtual void | setBackgroundColor (int, int, int, double)
virtual void | setGradient (int x1, int x2, int y1, int y2, unsigned char *r, unsigned char *g, unsigned char *b, PLFLT *alpha, PLINT ncol1)
virtual void | setWidthF (PLFLT w)
virtual void | setSolid ()

## Public Attributes
double | downscale
double | m_dWidth
double | m_dHeight

## Static Public Attributes
static QMutex | mutex

## Protected Member Functions
QFont | getFont (PLUNICODE code)
void | drawTextInPicture (QPainter *, const QString &)
QPicture | getTextPicture (PLUNICODE fci, PLUNICODE *text, int len, PLFLT chrht)

## Protected Attributes
bool | underlined
bool | overlined
double | currentFontScale
double | currentFontSize
double | yOffset
double | xOffset
PLStream * | pls
QPainter * | m_painterP

## Detailed Description

Definition at line 117 of file qt.h.

## Constructor & Destructor Documentation

## ◆ QtPLDriver()

QtPLDriver::QtPLDriver | ( | PLINT | i_iWidth = `QT_DEFAULT_X`,
|  | PLINT | i_iHeight = `QT_DEFAULT_Y`
| ) |  |

Definition at line 69 of file plqt.cpp.

## ◆ ~QtPLDriver()

QtPLDriver::~QtPLDriver | ( |  | ) |
| virtual

Definition at line 75 of file plqt.cpp.

## Member Function Documentation

## ◆ drawArc()

void QtPLDriver::drawArc | ( | short | x,
|  | short | y,
|  | short | width,
|  | short | height,
|  | PLFLT | angle1,
|  | PLFLT | angle2,
|  | PLFLT | rotate,
|  | bool | fill
| ) |  |
| virtual

Definition at line 84 of file plqt.cpp.

## ◆ drawLine()

void QtPLDriver::drawLine | ( | short | x1,
|  | short | y1,
|  | short | x2,
|  | short | y2
| ) |  |
| virtual

Definition at line 112 of file plqt.cpp.

## ◆ drawPolygon()

void QtPLDriver::drawPolygon | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| virtual

Definition at line 139 of file plqt.cpp.

## ◆ drawPolyline()

void QtPLDriver::drawPolyline | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| virtual

Definition at line 125 of file plqt.cpp.

## ◆ drawText()

void QtPLDriver::drawText | ( | EscText * | txt | ) |
| virtual

Definition at line 391 of file plqt.cpp.

## ◆ drawTextInPicture()

void QtPLDriver::drawTextInPicture | ( | QPainter * | p,
|  | const QString & | text
| ) |  |
| protected

Definition at line 203 of file plqt.cpp.

## ◆ getFont()

QFont QtPLDriver::getFont | ( | PLUNICODE | code | ) |
| protected

Definition at line 157 of file plqt.cpp.

## ◆ getTextPicture()

QPicture QtPLDriver::getTextPicture | ( | PLUNICODE | fci,
|  | PLUNICODE * | text,
|  | int | len,
|  | PLFLT | chrht
| ) |  |
| protected

Definition at line 246 of file plqt.cpp.

## ◆ setBackgroundColor()

virtual void QtPLDriver::setBackgroundColor | ( | int | ,
|  | int | ,
|  | int | ,
|  | double |
| ) |  |
| inlinevirtual

Definition at line 134 of file qt.h.

## ◆ setColor()

void QtPLDriver::setColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | double | alpha
| ) |  |
| virtual

Definition at line 442 of file plqt.cpp.

## ◆ setGradient()

void QtPLDriver::setGradient | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2,
|  | unsigned char * | r,
|  | unsigned char * | g,
|  | unsigned char * | b,
|  | PLFLT * | alpha,
|  | PLINT | ncol1
| ) |  |
| virtual

Definition at line 457 of file plqt.cpp.

## ◆ setPLStream()

void QtPLDriver::setPLStream | ( | PLStream * | pls | ) |

Definition at line 79 of file plqt.cpp.

## ◆ setSolid()

void QtPLDriver::setSolid | ( |  | ) |
| virtual

Definition at line 508 of file plqt.cpp.

## ◆ setWidthF()

void QtPLDriver::setWidthF | ( | PLFLT | w | ) |
| virtual

Definition at line 483 of file plqt.cpp.

## Member Data Documentation

## ◆ currentFontScale

double QtPLDriver::currentFontScale
| protected

Definition at line 157 of file qt.h.

## ◆ currentFontSize

double QtPLDriver::currentFontSize
| protected

Definition at line 158 of file qt.h.

## ◆ downscale

double QtPLDriver::downscale

Definition at line 142 of file qt.h.

## ◆ m_dHeight

double QtPLDriver::m_dHeight

Definition at line 143 of file qt.h.

## ◆ m_dWidth

double QtPLDriver::m_dWidth

Definition at line 143 of file qt.h.

## ◆ m_painterP

QPainter* QtPLDriver::m_painterP
| protected

Definition at line 164 of file qt.h.

## ◆ mutex

QMutex QtPLDriver::mutex
| static

Definition at line 144 of file qt.h.

## ◆ overlined

bool QtPLDriver::overlined
| protected

Definition at line 156 of file qt.h.

## ◆ pls

PLStream* QtPLDriver::pls
| protected

Definition at line 162 of file qt.h.

## ◆ underlined

bool QtPLDriver::underlined
| protected

Definition at line 155 of file qt.h.

## ◆ xOffset

double QtPLDriver::xOffset
| protected

Definition at line 160 of file qt.h.

## ◆ yOffset

double QtPLDriver::yOffset
| protected

Definition at line 159 of file qt.h.

The documentation for this class was generated from the following files:

- qt.h
- plqt.cpp